Skip to navigation

Get Page

Returns one content page.

Warning

Pay attention to query parameters This endpoint recognizes the same query parameters as Get Multiple Pages. If the requested page does not meet the query parameters you specify, you will receive a 404 response even if the requested pageId does exist.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

pageIdstringRequired
The ID of the page to be operated on.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Response

OK
dataobjectOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

404
Not Found Error
422
Unprocessable Entity Error